VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CFontDesc Class Reference

font class More...

Inheritance diagram for CFontDesc:

## Public Member Functions
| CFontDesc (const UTF8String &name="", const CCoord &size=0, const int32_t style=0)
| CFontDesc (const CFontDesc &font)
| ~CFontDesc () noexceptoverride
virtual const PlatformFontPtr | getPlatformFont () const
virtual const IFontPainter * | getFontPainter () const
virtual CFontDesc & | operator= (const CFontDesc &)
virtual bool | operator== (const CFontDesc &) const
virtual bool | operator!= (const CFontDesc &other) const
Size, Name and Style Methods
const UTF8String & | getName () const
| get the name of the font
const CCoord & | getSize () const
| get the height of the font
const int32_t & | getStyle () const
| get the style of the font
virtual void | setName (const UTF8String &newName)
| set the name of the font
virtual void | setSize (CCoord newSize)
| set the height of the font
virtual void | setStyle (int32_t newStyle)
| set the style of the font
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Static Public Member Functions
static void | init ()
static void | cleanup ()

## Protected Member Functions
void | beforeDelete () override
virtual void | freePlatformFont ()

## Protected Attributes
UTF8String | name
CCoord | size
int32_t | style
PlatformFontPtr | platformFont

## Detailed Description

font class

The CFontDesc class replaces the old font handling. You have now the possibilty to use whatever font you like as long as it is available on the system. You should cache your own CFontDesc as this speeds up drawing on some systems.

Note
  New in 4.9: It's now possible to use custom fonts. Fonts must reside inside the Bundle/Package at PackageRoot/Resources/Fonts/.

## Constructor & Destructor Documentation

CFontDesc | ( | const UTF8String & | name = `""`,
|  | const CCoord & | size = `0`,
|  | const int32_t | style = `0`
| ) |  |

CFontDesc | ( | const CFontDesc & | font | ) |

~CFontDesc | ( |  | ) |
| override noexcept

## Member Function Documentation

void beforeDelete | ( |  | ) |
| override protected virtual

Reimplemented from ReferenceCounted< T >.

void cleanup | ( |  | ) |
| static

void freePlatformFont | ( |  | ) |
| protected virtual

const IFontPainter * getFontPainter | ( |  | ) | const
| virtual

const UTF8String& getName | ( |  | ) | const
| inline

get the name of the font

auto getPlatformFont | ( |  | ) | const
| virtual

const CCoord& getSize | ( |  | ) | const
| inline

get the height of the font

const int32_t& getStyle | ( |  | ) | const
| inline

get the style of the font

void init | ( |  | ) |
| static

virtual bool operator!= | ( | const CFontDesc & | other | ) | const
| inline virtual

CFontDesc & operator= | ( | const CFontDesc & | f | ) |
| virtual

bool operator== | ( | const CFontDesc & | f | ) | const
| virtual

void setName | ( | const UTF8String & | newName | ) |
| virtual

set the name of the font

void setSize | ( | CCoord | newSize | ) |
| virtual

set the height of the font

void setStyle | ( | int32_t | newStyle | ) |
| virtual

set the style of the font

See Also
  CTxtFace

## Member Data Documentation

UTF8String name
| protected

PlatformFontPtr platformFont
| mutable protected

CCoord size
| protected

int32_t style
| protected

The documentation for this class was generated from the following files:

- cfont.h
- cfont.cpp